Welcome to lxml_html_clean's documentation!
===========================================

Motivation
----------

This project was initially a part of `lxml <https://github.com/lxml/lxml>`_. Because HTML cleaner is designed as blocklist-based,
many reports about possible security vulnerabilities were filed for lxml and that make the project problematic for
security-sensitive environments. Therefore we decided to extract the problematic part to a separate project.

Installation
------------

You can install this project directly via ``pip install lxml_html_clean``` or soon as an extra of lxml
via ``pip install lxml[html_clean]``. Both ways installs this project together with lxml itself.

Usage
=====

.. toctree::
   :maxdepth: 2

   usage

API
===

.. toctree::
   :maxdepth: 2

   lxml_html_clean

Changelog
=========

.. toctree::
   :maxdepth: 2

   changes

Indices and tables
==================

* :ref:`genindex`
* :ref:`modindex`
* :ref:`search`
